declare PCIbus {
/* $Author: nagami $
** $Date: 1996/08/15 17:59:47 $
** $Revision: 1.2 $
** $State: Exp $ */

    instrin Reset;

/**********************************++**********************************/
/*  PCI Socket 1                                                      */
/**********************************++**********************************/
    /* Address and data pins */
    input AD1<32>; instrin ADenb1;
    input nC_BE1<4>; instrin C_BEenb1;
    input PAR1; instrin PARenb1;

    /* Interface control pins */
    input nFRAMEin1; instrin FRAMEenb1;
    input nIRDYin1; instrin IRDYenb1;
    input nTRDYin1; instrin TRDYenb1;
    input nSTOPin1; instrin STOPenb1;
    instrout IDSEL1;
    input nDEVSELin1; instrin DEVSELenb1;
    input nREQ1;
    output nGNT1;
    input nPERRin1; instrin PERRenb1;
    instrin SERRenb1;

/**********************************++**********************************/
/*  PCI Socket 2                                                      */
/**********************************++**********************************/
    /* Address and data pins */
    input AD2<32>; instrin ADenb2;
    input nC_BE2<4>; instrin C_BEenb2;
    input PAR2; instrin PARenb2;

    /* Interface control pins */
    input nFRAMEin2; instrin FRAMEenb2;
    input nIRDYin2; instrin IRDYenb2;
    input nTRDYin2; instrin TRDYenb2;
    input nSTOPin2; instrin STOPenb2;
    instrout IDSEL2;
    input nDEVSELin2; instrin DEVSELenb2;
    input nREQ2;
    output nGNT2;
    input nPERRin2; instrin PERRenb2;
    instrin SERRenb2;

/**********************************++**********************************/
/*  PCI Socket 3                                                      */
/**********************************++**********************************/
    /* Address and data pins */
    input AD3<32>; instrin ADenb3;
    input nC_BE3<4>; instrin C_BEenb3;
    input PAR3; instrin PARenb3;

    /* Interface control pins */
    input nFRAMEin3; instrin FRAMEenb3;
    input nIRDYin3; instrin IRDYenb3;
    input nTRDYin3; instrin TRDYenb3;
    input nSTOPin3; instrin STOPenb3;
    instrout IDSEL3;
    input nDEVSELin3; instrin DEVSELenb3;
    input nREQ3;
    output nGNT3;
    input nPERRin3; instrin PERRenb3;
    instrin SERRenb3;


/**********************************++**********************************/
/*  Bus Signals                                                       */
/**********************************++**********************************/
    output nRST;
    output AD<32>;
    output nC_BE<4>;
    output PAR;
    output nFRAME;
    output nIRDY;
    output nTRDY;
    output nSTOP;
    output nDEVSEL;
    output nPERR;

/**********************************++**********************************/
/*  Instr_arg's                                                       */
/**********************************++**********************************/
    instr_arg Reset();

    instr_arg ADenb1(AD1);
    instr_arg C_BEenb1(nC_BE1);
    instr_arg PARenb1(PAR1);
    instr_arg FRAMEenb1(nFRAMEin1);
    instr_arg IRDYenb1(nIRDYin1);
    instr_arg TRDYenb1(nTRDYin1);
    instr_arg STOPenb1(nSTOPin1);
    instr_arg DEVSELenb1(nDEVSELin1);
    instr_arg PERRenb1(nPERRin1);
    instr_arg SERRenb1();

    instr_arg ADenb2(AD2);
    instr_arg C_BEenb2(nC_BE2);
    instr_arg PARenb2(PAR2);
    instr_arg FRAMEenb2(nFRAMEin2);
    instr_arg IRDYenb2(nIRDYin2);
    instr_arg TRDYenb2(nTRDYin2);
    instr_arg STOPenb2(nSTOPin2);
    instr_arg DEVSELenb2(nDEVSELin2);
    instr_arg PERRenb2(nPERRin2);
    instr_arg SERRenb2();

    instr_arg ADenb3(AD3);
    instr_arg C_BEenb3(nC_BE3);
    instr_arg PARenb3(PAR3);
    instr_arg FRAMEenb3(nFRAMEin3);
    instr_arg IRDYenb3(nIRDYin3);
    instr_arg TRDYenb3(nTRDYin3);
    instr_arg STOPenb3(nSTOPin3);
    instr_arg DEVSELenb3(nDEVSELin3);
    instr_arg PERRenb3(nPERRin3);
    instr_arg SERRenb3();
}
